import javax.swing.*;
import javax.swing.tree.*;
import java.awt.*;

public class JTreeHorizontal extends JFrame{
	JTree tree;
  public JTreeHorizontal(){
    super("JTreeHorizontal Frame");
    setSize(300, 300);
    setDefaultCloseOperation(EXIT_ON_CLOSE);
  }

  public void init(){
		DefaultMutableTreeNode root = new DefaultMutableTreeNode("Root");
		DefaultMutableTreeNode book = new DefaultMutableTreeNode("Book");
		DefaultMutableTreeNode javabook = new DefaultMutableTreeNode("Java Book"); 
		DefaultMutableTreeNode jspbook = new DefaultMutableTreeNode("JSP Book"); 
		DefaultMutableTreeNode phpbook = new DefaultMutableTreeNode("PHP Book"); 
		DefaultMutableTreeNode structbook = new DefaultMutableTreeNode("STRUCT Book"); 
		DefaultMutableTreeNode contry = new DefaultMutableTreeNode("CONTRY");
		DefaultMutableTreeNode india = new DefaultMutableTreeNode("INDIA");
		DefaultMutableTreeNode usa = new DefaultMutableTreeNode("USA");
		DefaultTreeModel treeModel = new DefaultTreeModel(root);
		tree = new JTree(treeModel);
		tree.putClientProperty("JTree.lineStyle", "Horizontal");
		treeModel.insertNodeInto(book,root, 0);
		treeModel.insertNodeInto(contry,root, 0);
		book.add(javabook);
		book.add(jspbook);
		book.add(phpbook);
		book.add(structbook);
		contry.add(india);
		contry.add(usa);
		getContentPane().add(tree, BorderLayout.CENTER);
	}

  public static void main(String args[]){

		JTreeHorizontal jh = new JTreeHorizontal();
		jh.init();
		jh.setVisible(true);
	}
}
